@Echo Off
Rem   ---------------------------------------------------------------------------
Rem  JOnAS: Java(TM) Open Application Server
Rem  Copyright (C) 1999-2008 Bull S.A.S.
Rem  Contact: jonas-team@objectweb.org
Rem  
Rem  This library is free software; you can redistribute it and/or
Rem  modify it under the terms of the GNU Lesser General Public
Rem  License as published by the Free Software Foundation; either
Rem  version 2.1 of the License, or any later version.
Rem  
Rem  This library is distributed in the hope that it will be useful,
Rem  but WITHOUT ANY WARRANTY; without even the implied warranty of
Rem  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Rem  Lesser General Public License for more details.
Rem  
Rem  You should have received a copy of the GNU Lesser General Public
Rem  License along with this library; if not, write to the Free Software
Rem  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
Rem  USA
Rem  
Rem  Initial developer(s): Roland Kamsikav
Rem   Contributor(s): Anatole Tresch & Rüdiger Breit, Philippe Durieux
Rem   ---------------------------------------------------------------------------
Rem   $Id$
Rem   ---------------------------------------------------------------------------

Rem Customizable data for Database acces
Set JDBC_CLASSES=
Set IDB_HOME=c:\idb
Set IDB_CLASSES_1=%IDB_HOME%\idb.jar
Set IDB_CLASSES_2=%IDB_HOME%\idbexmpl.jar
Set ORACLE_CLASSES=c:\oracle\lib\ojdbc14.jar
Set POSTGRE_CLASSES=c:\pgsql\pg73b1jdbc2.jar
Set INTERBASE_CLASSES=c:\interclient\interclient.jar
Set MYSQL_CLASSES=c:\mysql\mm.mysql-2.0.14\mm.mysql-2.0.14-bin.jar
Set MCKOI_CLASSES=c:\mckoi\mkjdbc.jar

if exist "%IDB_CLASSES_1%" Set JDBC_CLASSES=%JDBC_CLASSES%;%IDB_CLASSES_1%
if exist "%IDB_CLASSES_2%" Set JDBC_CLASSES=%JDBC_CLASSES%;%IDB_CLASSES_2%
if exist "%ORACLE_CLASSES%" Set JDBC_CLASSES=%JDBC_CLASSES%;%ORACLE_CLASSES%
if exist "%POSTGRE_CLASSES%" Set JDBC_CLASSES=%JDBC_CLASSES%;%POSTGRE_CLASSES%
if exist "%INTERBASE_CLASSES%" Set JDBC_CLASSES=%JDBC_CLASSES%;%INTERBASE_CLASSES%
if exist "%MYSQL_CLASSES%" Set JDBC_CLASSES=%JDBC_CLASSES%;%MYSQL_CLASSES%
if exist "%MCKOI_CLASSES%" Set JDBC_CLASSES=%JDBC_CLASSES%;%MCKOI_CLASSES%
Set CLASSPATH=%JDBC_CLASSES%;%CLASSPATH%

Rem In WINDOWS, tools.jar cannot be added in Bootstrap because a pb of space
Rem inside the path (Program Files).
Rem This clearly requires JAVA_HOME to be set
Set CLASSPATH=%CLASSPATH%;%JAVA_HOME%\lib\tools.jar
